<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>xyz.ottr.lutra</groupId>
        <artifactId>lutra</artifactId>
        <version>0.6.13-SNAPSHOT</version>
        <relativePath>../pom.xml</relativePath>
    </parent>
    <artifactId>lutra-bottr</artifactId>
    <packaging>jar</packaging>

    <name>${project.groupId}:${project.artifactId}</name>

    <dependencies>

        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>lutra-core</artifactId>
        </dependency>

        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>lutra-wottr</artifactId>
        </dependency>

        <dependency>
            <groupId>commons-dbutils</groupId>
            <artifactId>commons-dbutils</artifactId>
        </dependency>

        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-dbcp2</artifactId>
        </dependency>

        <dependency>
            <groupId>com.h2database</groupId>
            <artifactId>h2</artifactId>
        </dependency>

        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <artifactId>plantuml-generator-maven-plugin</artifactId>
                <groupId>de.elnarion.maven</groupId>
                <executions>
                    <execution>
                        <id>lutra.bottr</id>
                        <goals>
                            <goal>generate</goal>
                        </goals>
                        <phase>generate-test-sources</phase>
                        <configuration>
                            <outputFilename>bottr_all.puml</outputFilename>
                            <hideFields>true</hideFields>
                            <hideMethods>true</hideMethods>
                            <scanPackages>
                                <scanPackage>
                                    xyz.ottr.lutra.bottr
                                </scanPackage>
                            </scanPackages>
                        </configuration>
                    </execution>
                    <execution>
                        <id>lutra.bottr.model</id>
                        <goals>
                            <goal>generate</goal>
                        </goals>
                        <phase>generate-test-sources</phase>
                        <configuration>
                            <outputFilename>bottr-model.puml</outputFilename>
                            <hideFields>true</hideFields>
                            <hideMethods>true</hideMethods>
                            <scanPackages>
                                <scanPackage>
                                    xyz.ottr.lutra.bottr.model
                                </scanPackage>
                            </scanPackages>
                        </configuration>
                    </execution>
                    <execution>
                        <id>lutra.bottr.source</id>
                        <goals>
                            <goal>generate</goal>
                        </goals>
                        <phase>generate-test-sources</phase>
                        <configuration>
                            <outputFilename>bottr-source.puml</outputFilename>
                            <hideFields>true</hideFields>
                            <hideMethods>true</hideMethods>
                            <scanPackages>
                                <scanPackage>
                                    xyz.ottr.lutra.bottr.source
                                </scanPackage>
                            </scanPackages>
                        </configuration>
                    </execution>
                    <execution>
                        <id>lutra.bottr.util</id>
                        <goals>
                            <goal>generate</goal>
                        </goals>
                        <phase>generate-test-sources</phase>
                        <configuration>
                            <outputFilename>bottr-util.puml</outputFilename>
                            <hideFields>true</hideFields>
                            <hideMethods>true</hideMethods>
                            <scanPackages>
                                <scanPackage>
                                    xyz.ottr.lutra.bottr.util
                                </scanPackage>
                            </scanPackages>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
